Get Developer Daily Summary
curl --request GET \
--url https://api.omi.me/v1/dev/user/daily-summaries/{summary_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omi.me/v1/dev/user/daily-summaries/{summary_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omi.me/v1/dev/user/daily-summaries/{summary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_items": [
{
"completed": true,
"description": "<string>",
"priority": "<string>",
"source_conversation_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"date": "<string>",
"day_emoji": "<string>",
"decisions_made": [
{
"conversation_id": "<string>",
"decision": "<string>"
}
],
"headline": "<string>",
"highlights": [
{
"conversation_ids": [
"<string>"
],
"emoji": "<string>",
"summary": "<string>",
"topic": "<string>"
}
],
"id": "<string>",
"knowledge_nuggets": [
{
"conversation_id": "<string>",
"insight": "<string>"
}
],
"locations": [
{
"address": "<string>",
"conversation_id": "<string>",
"latitude": 123,
"longitude": 123,
"time": "<string>"
}
],
"memories_learned": [
{
"content": "<string>",
"memory_id": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"category": ""
}
],
"overview": "<string>",
"stats": {
"action_items_count": 123,
"action_items_created": 123,
"memories_created": 123,
"proactive_moments": 123,
"total_conversations": 123,
"total_duration_minutes": 123,
"watching_minutes": 123
},
"unresolved_questions": [
{
"conversation_id": "<string>",
"question": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Daily Summaries
Get Developer Daily Summary
Get one stored daily recap by ID.
GET
/
v1
/
dev
/
user
/
daily-summaries
/
{summary_id}
Get Developer Daily Summary
Authorizations
Send Authorization: Bearer <omi_developer_api_key>.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes